aboutsummaryrefslogtreecommitdiffstats
path: root/testing/fontconfig/APKBUILD
diff options
context:
space:
mode:
authorMika Havela <mika.havela@gmail.com>2009-03-16 07:38:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-16 10:51:32 +0000
commitc55a91deb8d8d7dd809a3acfe6d7e51755b91bb5 (patch)
treef89c25027b7d52bc6ec9bce80bc14eb97e2cbb3f /testing/fontconfig/APKBUILD
parent7760918ff73b0a7f993259f600c190d4612d7a16 (diff)
downloadaports-c55a91deb8d8d7dd809a3acfe6d7e51755b91bb5.tar.gz
aports-c55a91deb8d8d7dd809a3acfe6d7e51755b91bb5.tar.bz2
aports-c55a91deb8d8d7dd809a3acfe6d7e51755b91bb5.tar.xz
testing/fontconfig: new aport
Required by X11 http://fontconfig.org
Diffstat (limited to 'testing/fontconfig/APKBUILD')
-rw-r--r--testing/fontconfig/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/fontconfig/APKBUILD b/testing/fontconfig/APKBUILD
new file mode 100644
index 0000000000..e6c0792299
--- /dev/null
+++ b/testing/fontconfig/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer:
+pkgname=fontconfig
+pkgver="2.6.0"
+pkgrel=0
+pkgdesc="The Fontconfig package is a library for configuring and customizing font access."
+url="http://fontconfig.org"
+license="GPL"
+depends="uclibc uclibc++ freetype expat"
+makedepends="uclibc++-dev uclibc-dev freetype-dev expat-dev"
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://fontconfig.org/release/${pkgname}-${pkgver}.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-docs
+ make -j1 || return 1
+ make DESTDIR="$pkgdir" install
+
+ install -m644 -D COPYING "$pkgdir"/usr/share/licenses/"${pkgname}"/COPYING
+}
+
+md5sums="ab54ec1d4ddd836313fdbc0cd5299d6d fontconfig-2.6.0.tar.gz"